Voices 4 endpoints

GET /v1/voices/{voice_id}

Returns metadata about a specific voice.

operationId: Voices_getVoiceMetadata

Parameters

Name In Required Type Description
voice_id path required string

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

with_settings query optional boolean

If set will return settings information corresponding to the voice, requires authorization.

xi-api-key header optional string

Your API key. This is required by most endpoints to access our API programatically. You can view your xi-api-key using the ‘Profile’ tab on the website.

Responses

200

Successful Response

422

Validation Error

GET /v1/voices/{voice_id}
POST /v1/voices/{voice_id}/edit

Edit a voice created by you.

operationId: Voices_updateVoiceById

Parameters

Name In Required Type Description
voice_id path required string

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

xi-api-key header optional string

Your API key. This is required by most endpoints to access our API programatically. You can view your xi-api-key using the ‘Profile’ tab on the website.

Request Body

required
multipart/form-data
schema Body_Edit_voice_v1_voices__voice_id__edit_post
Property Type Required
name string required
files array optional
labels string optional
description string optional

Responses

200

Successful Response

422

Validation Error

POST /v1/voices/{voice_id}/edit
GET /v1/voices/{voice_id}/settings

Returns the settings for a specific voice. “similarity_boost” corresponds to”Clarity + Similarity Enhancement” in the web app and “stability” corresponds to “Stability” slider in the web app.

operationId: Voices_getSettings

Parameters

Name In Required Type Description
voice_id path required string

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

xi-api-key header optional string

Your API key. This is required by most endpoints to access our API programatically. You can view your xi-api-key using the ‘Profile’ tab on the website.

Responses

200

Successful Response

422

Validation Error

GET /v1/voices/{voice_id}/settings
POST /v1/voices/{voice_id}/settings/edit

Edit your settings for a specific voice. “similarity_boost” corresponds to”Clarity + Similarity Enhancement” in the web app and “stability” corresponds to “Stability” slider in the web app.

operationId: Voices_editSettingsPost

Parameters

Name In Required Type Description
voice_id path required string

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

xi-api-key header optional string

Your API key. This is required by most endpoints to access our API programatically. You can view your xi-api-key using the ‘Profile’ tab on the website.

Request Body

required
application/json
schema VoiceSettingsResponseModel
Property Type Required
style number optional
stability number required
similarity_boost number required
use_speaker_boost boolean optional

Responses

200

Successful Response

422

Validation Error

POST /v1/voices/{voice_id}/settings/edit

Workspace 1 endpoints

GET /admin/{admin_url_prefix}/sso-provider
operationId: Workspace_getSsoProviderAdmin

Parameters

Name In Required Type Description
workspace_id query required string

Responses

200

Successful Response

422

Validation Error

GET /admin/{admin_url_prefix}/sso-provider